#
# spec file for package photocd (Version 1.12)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libtiff libjpeg libnetpb svgalib gimp libz gtk tcsh autoconf

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         photocd
Release:      23
Copyright:    1994 Gerd Knorr
Group: 
Provides:     xpcd02 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.12
Summary:      PhotoCD image converter
Source: photocd-1.12.tar.gz
Source1: hpcdtoppm-0.6.tar.gz
Source2: xpcd-2.04.tar.gz
Patch: photocd-1.12.dif
Patch1: hpcdtoppm-0.6.dif
Patch2: xpcd-2.04.dif
%description
This Programm includes an X11-Interface and programs for converting
Photo CD images into TARGA or BITMAP (Windows 3.1) format. Documentation
can be found in /usr/doc/misc/photocd.doc. Additionally included
is the program "hpcdtoppm" that converts Photo CD images int the PPM
format. 

Authors:
--------
    Gerd Knorr <kraxel@cs.tu-berlin.de>
    Hadmut Danisch <danisch@ira.uka.de>

%prep
%setup -a 1 -a 2
%patch
cd hpcdtoppm-0.6
%patch -P 1
cd ../xpcd-2.04
%patch -P 2
autoconf
./configure --prefix=/usr --with-gimp --with-svga --with-jpeg --with-tiff --x-includes=/usr/X11R6/include
make clean
%build
make
cd hpcdtoppm-0.6
make
cd ../xpcd-2.04
make
%install
install -m 755 -s -o root -g root photocd /usr/bin
install -m 644 -o root -g root photocd.1 /usr/man/man1
install -d /usr/man/de/man1
install -m 644 -o root -g root photocd.1.gr /usr/man/de/man1/photocd.1
cd hpcdtoppm-0.6
install -s -m 755 -o root -g root hpcdtoppm /usr/bin
install -s -m 755 -o root -g root pcdindex /usr/bin
install -m 644 -o root -g root hpcdtoppm.man /usr/man/man1/hpcdtoppm.1
mkdir hpcdtoppm-0.6
cp -a Changes Examples README README.TOO README.linux hpcdtoppm-0.6
cd ../xpcd-2.04
make install
mkdir xpcd-2.04
cp -a README libpcd/README.html xpcd-2.04
cp -a linux/README xpcd-2.04/README.linux
Check
%files
%dir /usr/man/de
%dir /usr/man/de/man1
%dir /usr/X11R6/lib/X11/xpcd
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/X11R6/lib/X11/de/app-defaults
%dir /usr/X11R6/lib/X11/da/app-defaults
%config /usr/X11R6/lib/X11/xpcd/system.xpcdrc
/usr/X11R6/include/X11/pixmaps/xpcd-color.xpm
/usr/X11R6/include/X11/pixmaps/xpcd-gray.xpm
%config /usr/X11R6/lib/X11/app-defaults/Xpcd-2
%config /usr/X11R6/lib/X11/de/app-defaults/Xpcd-2
%config /usr/X11R6/lib/X11/da/app-defaults/Xpcd-2
/usr/bin/hpcdtoppm
/usr/bin/pcdtoppm
/usr/bin/pcdindex
/usr/bin/pcdview
/usr/bin/photocd
/usr/bin/xpcd
/usr/bin/xpcd-gate
%doc /usr/man/man1/hpcdtoppm.1.gz
%doc /usr/man/man1/xpcd.1.gz
%doc /usr/man/man1/photocd.1.gz
%doc /usr/man/de/man1/photocd.1.gz
%doc README
%doc README.gr
%doc hpcdtoppm-0.6/hpcdtoppm-0.6
%doc xpcd-2.04/xpcd-2.04

